version: 0.2
phases:
  install:
    commands:
  pre_build:
    commands:
      - export CC=gcc
  build:
    commands:
      - cd aws-crt-java
      - export AWS_CRT_ARCH=armv7
      - ./codebuild/cd/musl-linux-build.sh aws-crt-alpine-3.16-armv7 linux-armv7-musl

  post_build:
    commands:

artifacts:
  files:
    - 'dist/**/*'

cache:
  paths:
    - '/root/.m2/**/*'
